
Figure - Bug #117497
【BSP】【EVT2】【ST】【Boot】设备开机后，通过稳压电源升压至18V以上过压保护关机后，快速回归正
常12V，设备不会正常开机
2023-04-14 14:58 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-14

Priority: High Due date: 2023-04-19

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0086

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

None

【测试步骤】

1、通过稳压电源给设备供电开机

2、使用稳压电源使设备过压保护关机

3、短时间内恢复正常电压12

【预期结果】

3. 设备自动开机

【实际结果】

3. 设备不能正常开机，需要重新上下电才能开机

History

#1 - 2023-04-14 15:02 - CD BSP-陈杰

- Assignee changed from CD BSP-陈杰 to BSP组-RD3_TSCD 贾顺旺

#2 - 2023-04-14 17:42 - CD BSP-杜磊

- Due date set to 2023-04-19

- Status changed from New to ASSIGNED

#3 - 2023-04-19 20:00 - CD BSP-杜磊

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to BSP组-RD3_CDTS  陈宙贤

#4 - 2023-04-19 21:33 - BSP组-RD3_CDTS  陈宙贤

当前代码在过压/欠压时，存在以下情况：

1.过压/欠压持续时间小于2s，不会通知MPU关机。（正常）

2.过压/欠压持续时间大于2s后，会通知MPU关机，且持续时间大于7s后，执行过/欠压保护重置IO状态，执行断电重启动作。（正常）

3.过压/欠压持续时间大于2s小于7s时，即在这段时间内恢复为正常电压，会出现该BUG情况。因只通知了关机，但未执行过/欠压保护重置IO状态。导

致MPU在重启时无法正常重启。（异常）

修改：

只要MCU通知MPU关机后（过/欠压状态持续时间大于2s），等待MPU正常关机，在7s后都会执行执行过/欠压保护重置IO状态。

2025-07-04 1/3



修改后暂未复现该BUG。

#5 - 2023-04-20 19:51 - BSP组-RD3_CDTS  陈宙贤

今天连接屏幕测试未复现，

代码修改已提交https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/194981

待VB出包后，可验证该问题。

#6 - 2023-04-21 11:31 - BSP组-RD3_CDTS  陈宙贤

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from BSP组-RD3_CDTS  陈宙贤 to 移动测试一组_CDTS 刘强

VB包已出，可验证，/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230420/202304202042-3368

#7 - 2023-04-21 16:29 - 移动测试一组_CDTS 刘强

vb版本验证结果如下：

1. 过压17V 2s后关机，快速（1-2s）回到12V，设备开机 压测：30

2. 过压17V 2s后关机，快速回到12V 2-7s，设备启动时再次拉升17V 稳定7s以上，再下降12V

循环20次，最终可以正常开机

等正式版本再次验证

#8 - 2023-04-23 16:58 - 移动测试一组_CDTS 刘强

20230423：还未正式入库

#9 - 2023-04-23 20:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194981 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

zhouxian.chen@thundersoft.com

BSP:MCU:Modify Over/Under voltage protectionAs long as the MCU notifies the MPU to shut down (with an overvoltage state lasting for more than 2

seconds)and waits for the MPU to shut down normally, it will execute overvoltage protection to reset the IO state after 7 seconds.Bin version: V0.1.4TC-RID:

1201-0102704IssueID: TS-R-BUG-117497Change-Id: I7f756902933ce0c678443ac8f73d576e4da135fe

#10 - 2023-04-23 23:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195713 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com
https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/194981


BSP:MCU:Modify Over/Under voltage protectionAs long as the MCU notifies the MPU to shut down (with an overvoltage state lasting for more than 2

seconds)and waits for the MPU to shut down normally, it will execute overvoltage protection to reset the IO state after 7 seconds.Bin version: V0.1.4TC-RID:

1201-0102704IssueID: TS-R-BUG-117497Change-Id: Idb929d3c815cc2f7328d7c4e0f5c4b57927e8a35

#11 - 2023-04-25 17:59 - SZTS_TEST 邹涛

0094版本过压保护验证60次未复现

#12 - 2023-04-25 18:35 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#13 - 2023-04-25 18:35 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
